> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quota notification threshold

> Get a client's quota notification threshold. This threshold is used to send warning notifications to the client
when their quota usage reaches the specified percentage. Defaults to 80% if not set.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v2/client_quotas/{client_id}/notification_threshold
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v2/client_quotas/{client_id}/notification_threshold:
    get:
      tags:
        - Quotas
      summary: Get quota notification threshold
      description: >-
        Get a client's quota notification threshold. This threshold is used to
        send warning notifications to the client

        when their quota usage reaches the specified percentage. Defaults to 80%
        if not set.
      operationId: QuotaNotificationThresholdByClientIdHandler.get
      parameters:
        - in: path
          name: client_id
          required: true
          description: Client ID
          schema:
            description: Client ID
            example: 3
            examples:
              - 3
            title: Client Id
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuotaNotificationThresholdSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            notification_threshold =
            client.cloud.quotas.notification_threshold.get(
                3,
            )

            print(notification_threshold.client_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnotificationThreshold, err := client.Cloud.Quotas.NotificationThreshold.Get(context.TODO(), 3)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", notificationThreshold.ClientID)\n}\n"
components:
  schemas:
    QuotaNotificationThresholdSerializer:
      properties:
        client_id:
          description: Client id
          example: 2
          examples:
            - 2
          title: Client Id
          type: integer
        last_message:
          anyOf:
            - $ref: '#/components/schemas/QuotasThresholdSerializer'
            - type: 'null'
          description: A message data
        last_sending:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Time of last successful email sending
          examples:
            - null
          title: Last Sending
        threshold:
          description: Quota notification threshold in percentage
          example: 95
          examples:
            - 95
          maximum: 100
          minimum: 60
          title: Threshold
          type: integer
      required:
        - threshold
        - client_id
        - last_sending
        - last_message
      title: QuotaNotificationThresholdSerializer
      type: object
    QuotasThresholdSerializer:
      properties:
        global_quotas:
          $ref: '#/components/schemas/GlobalQuotasThresholdSerializer'
          description: Global quota that exceed the threshold
        regional_quotas:
          description: Regional quota that exceed the threshold
          items:
            $ref: '#/components/schemas/RegionalQuotasThresholdSerializer'
          title: Regional Quotas
          type: array
      required:
        - global_quotas
        - regional_quotas
      title: QuotasThresholdSerializer
      type: object
    GlobalQuotasThresholdSerializer:
      properties:
        inference_cpu_millicore_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference CPU millicore count limit
        inference_cpu_millicore_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference CPU millicore count usage
        inference_gpu_a100_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference GPU A100 Count limit
        inference_gpu_a100_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference GPU A100 Count usage
        inference_gpu_h100_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference GPU H100 Count limit
        inference_gpu_h100_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference GPU H100 Count usage
        inference_gpu_l40s_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference GPU L40s Count limit
        inference_gpu_l40s_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference GPU L40s Count usage
        inference_instance_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference instance count limit
        inference_instance_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Inference instance count usage
        keypair_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: SSH Keys Count limit
        keypair_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: SSH Keys Count usage
        project_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Projects Count limit
        project_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Projects Count usage
      title: GlobalQuotasThreshold object
      type: object
    RegionalQuotasThresholdSerializer:
      properties:
        baremetal_basic_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Basic bare metal servers count limit
        baremetal_basic_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Basic bare metal servers count usage
        baremetal_gpu_a100_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal A100 GPU server count limit
        baremetal_gpu_a100_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal A100 GPU server count usage
        baremetal_gpu_h100_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal H100 GPU server count limit
        baremetal_gpu_h100_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal H100 GPU server count usage
        baremetal_gpu_h200_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal H200 GPU server count limit
        baremetal_gpu_h200_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal H200 GPU server count usage
        baremetal_gpu_l40s_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal L40S GPU server count limit
        baremetal_gpu_l40s_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal L40S GPU server count usage
        baremetal_hf_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: High-frequency bare metal servers count limit
        baremetal_hf_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: High-frequency bare metal servers count usage
        baremetal_infrastructure_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Infrastructure bare metal servers count limit
        baremetal_infrastructure_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Infrastructure bare metal servers count usage
        baremetal_network_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal Network Count limit
        baremetal_network_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Bare metal Network Count usage
        baremetal_storage_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Storage bare metal servers count limit
        baremetal_storage_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Storage bare metal servers count usage
        caas_container_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Containers count limit
        caas_container_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Containers count usage
        caas_cpu_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: mCPU count for containers limit
        caas_cpu_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: mCPU count for containers usage
        caas_gpu_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Containers gpu count limit
        caas_gpu_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Containers gpu count usage
        caas_ram_size_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: MiB memory count for containers limit
        caas_ram_size_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: MiB memory count for containers usage
        cluster_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: K8s clusters count limit
        cluster_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: K8s clusters count usage
        cpu_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: vCPU Count limit
        cpu_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: vCPU Count usage
        dbaas_postgres_cluster_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: DBaaS cluster count limit
        dbaas_postgres_cluster_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: DBaaS cluster count usage
        external_ip_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: External IP Count limit
        external_ip_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: External IP Count usage
        faas_cpu_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: mCPU count for functions limit
        faas_cpu_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: mCPU count for functions usage
        faas_function_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Functions count limit
        faas_function_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Functions count usage
        faas_namespace_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Functions namespace count limit
        faas_namespace_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Functions namespace count usage
        faas_ram_size_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: MiB memory count for functions limit
        faas_ram_size_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: MiB memory count for functions usage
        firewall_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Firewalls Count limit
        firewall_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Firewalls Count usage
        floating_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Floating IP Count limit
        floating_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Floating IP Count usage
        gpu_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: GPU Count limit
        gpu_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: GPU Count usage
        gpu_virtual_a100_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual A100 GPU card count limit
        gpu_virtual_a100_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual A100 GPU card count usage
        gpu_virtual_h100_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual H100 GPU card count limit
        gpu_virtual_h100_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual H100 GPU card count usage
        gpu_virtual_h200_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual H200 GPU card count limit
        gpu_virtual_h200_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual H200 GPU card count usage
        gpu_virtual_l40s_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual L40S GPU card count limit
        gpu_virtual_l40s_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Virtual L40S GPU card count usage
        image_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Images Count limit
        image_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Images Count usage
        image_size_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Images Size, bytes limit
        image_size_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Images Size, bytes usage
        ipu_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: IPU Count limit
        ipu_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: IPU Count usage
        laas_topic_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: LaaS Topics Count limit
        laas_topic_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: LaaS Topics Count usage
        loadbalancer_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Load Balancers Count limit
        loadbalancer_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Load Balancers Count usage
        network_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Networks Count limit
        network_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Networks Count usage
        ram_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: RAM Size, MiB limit
        ram_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: RAM Size, MiB usage
        region_id:
          description: Region id
          example: 2
          examples:
            - 2
          title: Region Id
          type: integer
        region_name:
          description: Region name
          example: Luxembourg
          examples:
            - Luxembourg
          title: Region Name
          type: string
        registry_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Registries count limit
        registry_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Registries count usage
        registry_storage_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Registries volume usage, GiB limit
        registry_storage_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Registries volume usage, GiB usage
        router_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Routers Count limit
        router_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Routers Count usage
        secret_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Secret Count limit
        secret_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Secret Count usage
        servergroup_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Placement Group Count limit
        servergroup_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Placement Group Count usage
        sfs_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Shared file system Count limit
        sfs_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Shared file system Count usage
        sfs_size_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Shared file system Size, GiB limit
        sfs_size_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Shared file system Size, GiB usage
        shared_vm_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Basic VMs Count limit
        shared_vm_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Basic VMs Count usage
        snapshot_schedule_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Snapshot Schedules Count limit
        snapshot_schedule_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Snapshot Schedules Count usage
        subnet_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Subnets Count limit
        subnet_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Subnets Count usage
        vm_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Instances Dedicated Count limit
        vm_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Instances Dedicated Count usage
        volume_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Volumes Count limit
        volume_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Volumes Count usage
        volume_size_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Volumes Size, GiB limit
        volume_size_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Volumes Size, GiB usage
        volume_snapshots_count_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Snapshots Count limit
        volume_snapshots_count_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Snapshots Count usage
        volume_snapshots_size_limit:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Snapshots Size, GiB limit
        volume_snapshots_size_usage:
          $ref: '#/components/schemas/QuotaCountForThresholdSerializer'
          description: Snapshots Size, GiB usage
      required:
        - region_id
        - region_name
      title: RegionalQuotasThresholdSerializer
      type: object
    QuotaCountForThresholdSerializer:
      properties:
        limit:
          description: Сurrent quota limit
          example: 10
          examples:
            - 10
          maximum: 9223372036854776000
          minimum: 0
          title: Limit
          type: integer
        usage:
          description: Сurrent amount of resource used
          example: 8
          examples:
            - 8
          minimum: 0
          title: Usage
          type: integer
      required:
        - usage
        - limit
      title: QuotaCountForThresholdSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````